Obter Categorias
curl --request GET \
--url https://api-vendas.taximachine.com.br/api/integracao/categoria \
--header 'Authorization: Basic <encoded-value>' \
--header 'api-key: <api-key>'import requests
url = "https://api-vendas.taximachine.com.br/api/integracao/categoria"
headers = {
"Authorization": "Basic <encoded-value>",
"api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Basic <encoded-value>', 'api-key': '<api-key>'}
};
fetch('https://api-vendas.taximachine.com.br/api/integracao/categoria', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"response": [
{
"id": "1",
"nome": "Comum"
},
{
"id": "2",
"nome": "VIP"
}
]
}Categorias
Obter Categorias
Retorna as categorias ativas da central. Caso seja informada uma localização pertencente a uma filial, serão retornadas as categorias ativas da filial.
GET
/
categoria
Obter Categorias
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Obrigatório. Sua chave API.
Query Parameters
Obrigatório caso envie lng
Obrigatório caso envie lat
Obrigatório se não enviar lat/lng
Obrigatório se não enviar lat/lng
Obrigatório se não enviar lat/lng
Estado
Response
200 - application/json
Sucesso
⌘I
